curl --request POST \
--url https://www.anyfast.ai/volc/asset/GetAsset \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"Id": "asset-20260528140922-d9646"
}
'import requests
url = "https://www.anyfast.ai/volc/asset/GetAsset"
payload = { "Id": "asset-20260528140922-d9646" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({Id: 'asset-20260528140922-d9646'})
};
fetch('https://www.anyfast.ai/volc/asset/GetAsset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.anyfast.ai/volc/asset/GetAsset",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'Id' => 'asset-20260528140922-d9646'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.anyfast.ai/volc/asset/GetAsset"
payload := strings.NewReader("{\n \"Id\": \"asset-20260528140922-d9646\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.anyfast.ai/volc/asset/GetAsset")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"Id\": \"asset-20260528140922-d9646\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.anyfast.ai/volc/asset/GetAsset")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"Id\": \"asset-20260528140922-d9646\"\n}"
response = http.request(request)
puts response.read_body{
"Id": "asset-20260528140922-d9646",
"Name": "character-reference",
"URL": "https://ark-media-asset.tos-cn-beijing.volces.com/...",
"AssetType": "Video",
"GroupId": "group-20260528140601-tp9hw",
"Status": "Active",
"ProjectName": "default",
"CreateTime": "2026-05-28T06:09:22Z",
"UpdateTime": "2026-05-28T06:09:31Z"
}Get Asset
Get a single asset detail by Id. This is a read-only operation and is not billed. Use this endpoint to poll the asynchronous CreateAsset result until Status becomes Active. Failed means preprocessing failed and the asset cannot be used for inference.
curl --request POST \
--url https://www.anyfast.ai/volc/asset/GetAsset \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"Id": "asset-20260528140922-d9646"
}
'import requests
url = "https://www.anyfast.ai/volc/asset/GetAsset"
payload = { "Id": "asset-20260528140922-d9646" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({Id: 'asset-20260528140922-d9646'})
};
fetch('https://www.anyfast.ai/volc/asset/GetAsset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.anyfast.ai/volc/asset/GetAsset",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'Id' => 'asset-20260528140922-d9646'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.anyfast.ai/volc/asset/GetAsset"
payload := strings.NewReader("{\n \"Id\": \"asset-20260528140922-d9646\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.anyfast.ai/volc/asset/GetAsset")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"Id\": \"asset-20260528140922-d9646\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.anyfast.ai/volc/asset/GetAsset")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"Id\": \"asset-20260528140922-d9646\"\n}"
response = http.request(request)
puts response.read_body{
"Id": "asset-20260528140922-d9646",
"Name": "character-reference",
"URL": "https://ark-media-asset.tos-cn-beijing.volces.com/...",
"AssetType": "Video",
"GroupId": "group-20260528140601-tp9hw",
"Status": "Active",
"ProjectName": "default",
"CreateTime": "2026-05-28T06:09:22Z",
"UpdateTime": "2026-05-28T06:09:31Z"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Asset ID to query.
"asset-20260528140922-d9646"
Response
Asset retrieved
"asset-20260528140922-d9646"
"character-reference"
Temporary asset file URL. Official examples mark this URL as valid for 12 hours. Do not store it as the long-term asset reference; use asset://<asset_id> in Seedance generation requests.
"https://ark-media-asset.tos-cn-beijing.volces.com/..."
Image, Video, Audio "Video"
"group-20260528140601-tp9hw"
Asset processing status. Use the asset only when Active; Failed means preprocessing failed and the asset cannot be used.
Processing, Active, Failed "Active"
"default"
"2026-05-28T06:09:22Z"
"2026-05-28T06:09:31Z"
Was this page helpful?